package domain


type AlibabaWdkSkuChannelskuQueryApiResult struct {
    /*
        业务调用是否成功     */
    Success  *bool `json:"success,omitempty" `

    /*
        异常状态码     */
    ErrCode  *string `json:"err_code,omitempty" `

    /*
        异常信息     */
    ErrMsg  *string `json:"err_msg,omitempty" `

    /*
        业务数据模型     */
    Model  *AlibabaWdkSkuChannelskuQueryChannelSkuDo `json:"model,omitempty" `

}

func (s *AlibabaWdkSkuChannelskuQueryApiResult) SetSuccess(v bool) *AlibabaWdkSkuChannelskuQueryApiResult {
    s.Success = &v
    return s
}
func (s *AlibabaWdkSkuChannelskuQueryApiResult) SetErrCode(v string) *AlibabaWdkSkuChannelskuQueryApiResult {
    s.ErrCode = &v
    return s
}
func (s *AlibabaWdkSkuChannelskuQueryApiResult) SetErrMsg(v string) *AlibabaWdkSkuChannelskuQueryApiResult {
    s.ErrMsg = &v
    return s
}
func (s *AlibabaWdkSkuChannelskuQueryApiResult) SetModel(v AlibabaWdkSkuChannelskuQueryChannelSkuDo) *AlibabaWdkSkuChannelskuQueryApiResult {
    s.Model = &v
    return s
}
